package com.io.yutian.aulib.nbt;

public class NBTString implements INBT {

    public static byte TYPE_ID = 8;

    private String value;

    public NBTString(String value) {
        this.value = value;
    }

    public NBTString() {
    }

    public String getString() {
        return this.value;
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public String toString() {
        return "NBTString{" +
                "value='" + value + '\'' +
                '}';
    }
}
